
function vid_mate_get_video_id() {
	var vid_mate_url = window.location.pathname;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	var tmp_re = new RegExp("/filedownload/([0-9]+)/([0-9]+)/(.*)");
	if (tmp_re.test(vid_mate_url)) {
		var tmp_m = vid_mate_url.match(tmp_re);
		return tmp_m[2];
	}
	return null;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_video_get_str_start(content, str_start) {
	if (content == null) {
		return null;
	}
	var tmp_content = content;
	if (tmp_content.indexOf(str_start) < 0) {
		return null;
	}
	tmp_content = tmp_content.substring(tmp_content.indexOf(str_start) + str_start.length);
	return tmp_content;
}
function vid_mate_video_get_str_end(content, str_end) {
	if (content == null) {
		return null;
	}
	var tmp_content = content;
	if (tmp_content.indexOf(str_end) < 0) {
		return null;
	}
	tmp_content = tmp_content.substring(0,tmp_content.indexOf(str_end));
	return tmp_content;
}

function vid_mate_video_analytics(vm_content) {
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');

    var rtn_video = new vid_mate_video();
    rtn_video.check_type = "pagalworld";
    var tmp_video_file = new vid_mate_video_file();
    rtn_video.id = vid_mate_get_video_id();
    var content = ""
	if(vm_content.length > 128)
	{
		content = vm_content;
	}
	else
	{
		content = document.body.innerHTML;
	}
	var tmp_content = content;
	tmp_content = vid_mate_video_get_str_start(tmp_content,'<div class="menu_row">');
	if (tmp_content == null) {
		vid_mate_error_default('pagalworld 1');
		return null;
	}
	var tmp_title = vid_mate_video_get_str_end(tmp_content,'</div>');
	if (tmp_title == null) {
		vid_mate_error_default('pagalworld 2');
		return null;
	}
	rtn_video.title = tmp_title;
	rtn_video.duration = 0;
	rtn_video.url = document.URL;

	tmp_content = vid_mate_video_get_str_start(tmp_content,'<div class="menu_row">');
	if (tmp_content != null) {
		tmp_content = vid_mate_video_get_str_start(tmp_content, '<div class="menu_row">');
		if (tmp_content != null) {
			tmp_content = vid_mate_video_get_str_start(tmp_content, '<div class="menu_row">');
		}
	}

	if (tmp_content != null)
	{
		var tmp_picture = vid_mate_video_get_str_end(tmp_content,'</div>');
		tmp_picture = vid_mate_video_get_str_start(tmp_picture,'src="');
		tmp_picture = vid_mate_video_get_str_end(tmp_picture,'"');
		if (tmp_picture != null) {
			rtn_video.picture_default = tmp_picture;
			rtn_video.picture_big = tmp_picture;
		}
	}

	tmp_video_file.f_id = rtn_video.id + '_0_0';
	tmp_video_file.width = 0;
	tmp_video_file.height = 0;
	tmp_video_file.length = 0;
	tmp_video_file.quality = '';

	var tmp_re = new RegExp('<a class="touch" href="([^"]+)">');
	if (!tmp_re.test(content)) {
		vid_mate_error_default('pagalworld 4');
		return null;
	}
	var tmp_m = content.match(tmp_re);
	tmp_video_file.url = decodeURIComponent(tmp_m[1]);
	var tmp_format = vid_mate_get_video_format(tmp_m[1]);
	tmp_video_file.format = tmp_format;
	tmp_video_file.title = tmp_format;
    rtn_video.files.push(tmp_video_file);
    vid_mate_setParseMsg(100, 100, 'Completed');
    vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info() {
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	if (!vid_mate_check()) {
		return null;
	}

	var vid_mate_video_id = vid_mate_get_video_id();

	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	var content = document.body.innerHTML;
	if(-1 == content.indexOf("<div class=\"menu_row\">"))
	{
		var url = document.URL;
		var referer = url;
		var cookie = "";
		var userAgent = "Mozilla/5.0 (Linux; Android 4.4; MI 2 Build/KRT16M) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);

	}
	else
	{
		vid_mate_video_analytics(vid_mate_video_id);
	}
}

