var global_document_url = global_document_url || null;
var global_offset = 0;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	
	// http://nxg.mobi/data/file.php?file=/-Ann-Marie-and...-James--nxg.mobi.mp4
	if(-1 == vid_mate_url.indexOf("nxg"))
	{
		return null;
	}

	var video_id = null;
	if(-1 == vid_mate_url.indexOf("file.php"))
	{
		return null;
	}
	
	video_id = vid_mate_get_parameter(vid_mate_url, 'file');
	if(!video_id)
	{
		return null;
	}

	return video_id;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');
	global_document_url = url;
	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info...');
		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}
		
		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		//var userAgent = navigator.userAgent;
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('nxg 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}

	var videoUrl = "";
	var videoImg = "";
	var videoTitle = vid_mate_get_video_id(global_document_url);
	videoTitle = videoTitle.replace("/-", "");
	videoTitle = videoTitle.replace("--nxg.mobi.mp4", "");
	if(!videoTitle)
	{ 
	   videoTitle = "Download MP4";
	}

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "nxg";
	rtn_video.id = vid_mate_get_video_id(global_document_url);

	if(-1 != global_document_url.indexOf("nxg"))
	{
	    var tmp_img = vid_mate_get_video_id(global_document_url);
		tmp_img = tmp_img.replace("/", "");
		videoImg = "http://nxg.mobi/data/thumbs/---" + tmp_img + ".jpg"
		
		var tmp_url = "http://nxg.mobi/data/data" + vid_mate_get_video_id(global_document_url);
		
		if(tmp_url)
		{		
			var tmp_video_file = new vid_mate_video_file();
			tmp_video_file.url = tmp_url;
			var tmp_format = "mp4";
			tmp_video_file.format = tmp_format;
			tmp_video_file.title = tmp_format;
			tmp_video_file.f_id = rtn_video.id+"_"+tmp_format;
			rtn_video.files.push(tmp_video_file);
		}
	}
	else
	{
	   vid_mate_error_default('can not find video');
	   return null;
	}

	rtn_video.picture_default = videoImg;
    rtn_video.picture_big = videoImg;
	
	rtn_video.title = videoTitle;
	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function rcutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p2 = content.indexOf(suffix);
	if(-1 == p2)
	{
		return "";
	}

	content = content.substr(0, p2);

	var p1 = content.lastIndexOf(prefix);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1 + prefix_len , p2);
}

function get_pathname(url)
{
	var arr = url.split("?");
	url = arr[0];
	arr = url.split("/");
	arr.pop();
	var pathname = "";
	var sep = "/";
	for(var i=3; i<arr.length; ++i)
	{
		pathname += sep + arr[i];
	}
	if(0 == pathname.length)
	{
		pathname = "/";
	}
	return pathname;
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}

