var global_document_url = global_document_url || null;
var global_video_id = global_video_id || null;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	
	//http://grandsex.tk/data/index.php?id=2481
	if(-1 == vid_mate_url.indexOf("grandsex"))
	{
		return null;
	}

	if(-1 == vid_mate_url.indexOf("/data/"))
	{
		return null;
	}
	
	var global_video_id = null;
    global_video_id = vid_mate_get_parameter(vid_mate_url, "id");
	if(global_video_id)
	{
		return global_video_id;
	}
	
	return null;
}

function vid_mate_check() 
{
	if (vid_mate_get_video_id() == null) 
	{
		vid_mate_set_canDownload(false);
		return false;
	} 
	else 
	{
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');
	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');
	global_video_id = vid_mate_video_id;
	global_document_url = url;
	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info... ...');
		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}
		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('grandsex 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}

	var videoUrl = "";
	var videoTitle = "";
	var videoImg = "";
	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "grandsex";
	rtn_video.id = global_video_id;
	rtn_video.js_ver = "1.01";
	rtn_video.js_info = "20160616:first ver";
	rtn_video.url = global_document_url;
	

	var video_arr = cut_all(vm_content, "<a class=\"button-quality normal-quality\"  href=\"", "\"");
	
	for(var i = 0; i < video_arr.length; i++)
	{
		videoUrl = video_arr[i];
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = videoUrl;
		var tmp_format = "mp4";
		if(-1 != videoUrl.indexOf("3gp"))
		{
			tmp_format = "3gp";
		}
		
		tmp_video_file.format = tmp_format;
		tmp_video_file.title = tmp_format;
		tmp_video_file.f_id = rtn_video.id + "_" + i;
		rtn_video.files.push(tmp_video_file);
	}
	
	if(rtn_video.files.length < 1)
	{
		vid_mate_error_default('no movie source find.');
		return null;
	}
	
	videoTitle = cutstr(vm_content, "<b>Name: </b>", "<br>");
	videoImg = cutstr(vm_content, "img class=\"videolink\" src=\"", "\"");
	if(videoImg)
	{
		videoImg = "http://grandsex.tk/data/" + videoImg;
	}
	
	rtn_video.picture_default = videoImg;
	rtn_video.picture_big = videoImg;
	rtn_video.title = videoTitle;
	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}

function cut_all(content, prefix, suffix)
{
        global_offset = 0;
        var ret_array = [];
        while(global_offset < content.length)
        {
                var str = cutstr_ex(content, prefix, suffix);
                if(null == str)
                {
                        break;
                }
                ret_array.push(str);
        }
        global_offset = 0;
        return ret_array;
}

function cutstr_ex(content, prefix, suffix)
{
        var prefix_len = prefix.length;
        var p1 = content.indexOf(prefix, global_offset);
        if(-1 == p1)
        {
                return null;
        }
        p1 += prefix_len;
        var p2 = content.indexOf(suffix, p1);
        if(-1 == p2)
        {
                return null;
        }
        global_offset = p2 + suffix.length;
        return content.substring(p1, p2);
}